GDCM: gdcm::OpenSSLCryptographicMessageSyntax Class Reference

GDCM 3.2.5

Public Member Functions | List of all members
gdcm::OpenSSLCryptographicMessageSyntax Class Reference

`#include <gdcmOpenSSLCryptographicMessageSyntax.h>`

Inheritance diagram for gdcm::OpenSSLCryptographicMessageSyntax:
[legend]
Collaboration diagram for gdcm::OpenSSLCryptographicMessageSyntax:
[legend]

## Public Member Functions
| OpenSSLCryptographicMessageSyntax ()
| ~OpenSSLCryptographicMessageSyntax ()
bool | Decrypt (char *output, size_t &outlen, const char *array, size_t len) const
| decrypt content from a PKCS#7 envelopedData structure
bool | Encrypt (char *output, size_t &outlen, const char *array, size_t len) const
| create a CMS envelopedData structure
CipherTypes | GetCipherType () const
bool | ParseCertificateFile (const char *filename)
bool | ParseKeyFile (const char *filename)
void | SetCipherType (CipherTypes type)
bool | SetPassword (const char *pass, size_t passLen)
Public Member Functions inherited from gdcm::CryptographicMessageSyntax
| CryptographicMessageSyntax ()=default
| CryptographicMessageSyntax (const CryptographicMessageSyntax &)=delete
virtual | ~CryptographicMessageSyntax ()=default
void | operator= (const CryptographicMessageSyntax &)=delete

## Additional Inherited Members
Public Types inherited from gdcm::CryptographicMessageSyntax
enum | CipherTypes { DES3_CIPHER , AES128_CIPHER , AES192_CIPHER , AES256_CIPHER }

## Constructor & Destructor Documentation

## ◆ OpenSSLCryptographicMessageSyntax()

gdcm::OpenSSLCryptographicMessageSyntax::OpenSSLCryptographicMessageSyntax | ( |  | ) |

Referenced by Decrypt().

## ◆ ~OpenSSLCryptographicMessageSyntax()

gdcm::OpenSSLCryptographicMessageSyntax::~OpenSSLCryptographicMessageSyntax | ( |  | ) |

## Member Function Documentation

## ◆ Decrypt()

bool gdcm::OpenSSLCryptographicMessageSyntax::Decrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const
| virtual

decrypt content from a PKCS#7 envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

References OpenSSLCryptographicMessageSyntax().

## ◆ Encrypt()

bool gdcm::OpenSSLCryptographicMessageSyntax::Encrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const
| virtual

create a CMS envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

## ◆ GetCipherType()

CipherTypes gdcm::OpenSSLCryptographicMessageSyntax::GetCipherType | ( |  | ) | const
| virtual

Implements gdcm::CryptographicMessageSyntax.

## ◆ ParseCertificateFile()

bool gdcm::OpenSSLCryptographicMessageSyntax::ParseCertificateFile | ( | const char * | filename | ) |
| virtual

Implements gdcm::CryptographicMessageSyntax.

## ◆ ParseKeyFile()

bool gdcm::OpenSSLCryptographicMessageSyntax::ParseKeyFile | ( | const char * | filename | ) |
| virtual

Implements gdcm::CryptographicMessageSyntax.

## ◆ SetCipherType()

void gdcm::OpenSSLCryptographicMessageSyntax::SetCipherType | ( | CipherTypes | type | ) |
| virtual

Set Cipher Type. Default is: AES256_CIPHER

Implements gdcm::CryptographicMessageSyntax.

## ◆ SetPassword()

bool gdcm::OpenSSLCryptographicMessageSyntax::SetPassword | ( | const char * | pass,
|  | size_t | passLen )
| virtual

Implements gdcm::CryptographicMessageSyntax.

The documentation for this class was generated from the following file:

- gdcmOpenSSLCryptographicMessageSyntax.h